[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.1>/<Certification Tests>/<Manual Tests>/man-leafpad
<LSB 3.2>/<Certification Tests>/<Manual Tests>/man-leafpad
<LSB 4.0>/<Certification Tests>/<Manual Tests>/man-leafpad

[DESCRIPTIONS]
TESTSUITE man-leafpad	LSB|Moblin
		DISPLAYNAME = Leafpad Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Leafpad - a simple GTK+-based text editor.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-leafpad LSB 3.1: core,c++,desktop
man-leafpad LSB 3.2: core,c++,desktop
man-leafpad LSB 4.0: core,c++,desktop

[MANUAL]
TESTSUITE man-leafpad LSB <=3.1.0

STEP Run the command: <tt>/opt/lsb/appbat/bin/leafpad</tt>.<br />- Expected result: The leafpad window comes up.

STEP Type some text including spaces into the leafpad document window, enough so the screen scrolls to the right. From the <tt>"Options"</tt> menu select <tt>"Word Wrap"</tt>.<br />- Expected result: The scrollbar on the bottom of the document window disappears and the document is word wrapped (that is, lines are broken at the space nearest the end of the line).

STEP Press CTRL-F on the keyboard. When the <tt>"Find"</tt> dialog appears, enter one of the words in the window and click the <tt>"find"</tt> button.<br />- Expected result: The word is highlighted in the document and the <tt>"Find"</tt> dialog disappears.

STEP Press <tt>"F3"</tt> on the keyboard.<br />- Expected result: If there is more than one occurrence of the search string, the next occurrence will be selected.

STEP From the <tt>"Options"</tt> menu, select <tt>"Font ..."</tt>. When the font dialog appears, select <tt>"Bold"</tt> in the style sections, then click the <tt>"OK"</tt> button.<br />- Expected result: All words become bold font.

STEP Press CTRL-Q on the keyboard.<br />- Expected result: The leafpad window will be closed. Click <tt>"No"</tt> in the dialog box asking whether you want to save the changes you made.


TESTSUITE man-leafpad LSB >=3.2.0 | Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-leafpad</b> should show up in the Utility and/or TextEditor categories, if present.<br />- Was the installation successful?

STEP Run the command: <tt>/opt/lsb/appbat/bin/leafpad</tt>.<br />- Expected result: The leafpad window comes up.

STEP Type some text including spaces into the leafpad document window, enough so the screen scrolls to the right. From the <tt>"Options"</tt> menu select <tt>"Word Wrap"</tt>.<br />- Expected result: The scrollbar on the bottom of the document window disappears and the document is word wrapped (that is, lines are broken at the space nearest the end of the line).

STEP Press CTRL-F on the keyboard. When the <tt>"Find"</tt> dialog appears, enter one of the words in the window and click the <tt>"find"</tt> button.<br />- Expected result: The word is highlighted in the document and the <tt>"Find"</tt> dialog disappears.

STEP Press <tt>"F3"</tt> on the keyboard.<br />- Expected result: If there is more than one occurrence of the search string, the next occurrence will be selected.

STEP From the <tt>"Options"</tt> menu, select <tt>"Font ..."</tt>. When the font dialog appears, select <tt>"Bold"</tt> in the style sections, then click the <tt>"OK"</tt> button.<br />- Expected result: All words become bold font.

STEP Press CTRL-Q on the keyboard.<br />- Expected result: The leafpad window will be closed. Click <tt>"No"</tt> in the dialog box asking whether you want to save the changes you made.

[MODULES]
TESTSUITE man-leafpad LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-leafpad	*	LSB 3.1	cert
	lsb-setup	*	<base>
	lsb-leafpad	*	<appbat-3.1>

TESTSUITE man-leafpad	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-leafpad	*	<appbat-3.2>

TESTSUITE man-leafpad	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-leafpad	*	<appbat-4.0>

TESTSUITE man-leafpad	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-leafpad	*	<appbat-snapshots>
