[MANIFEST]
VERSION = 1
#URL = http://<manifest_url>
#HASH = <hash>

[TREE]
<LSB 3.2>/<Certification Tests>/<Manual Tests>/man-pidgin
<LSB 4.0>/<Certification Tests>/<Manual Tests>/man-pidgin

[DESCRIPTIONS]
TESTSUITE man-pidgin	LSB|Moblin
		DISPLAYNAME = Pidgin Tests
		DESCRIPTION = LSB Application Battery Functional Verification Tests
		 for Pidgin - a multi-protocol instant messaging (IM) client.
TESTSUITE END

[PROFILES]
# testsuite	LSB ver: <profiles>
man-pidgin LSB 3.2: core,c++,desktop
man-pidgin LSB 4.0: core,c++,desktop

[MANUAL]
TESTSUITE man-pidgin	LSB|Moblin

STEP If the <b>xdg-desktop-menu</b> binary is present on the system, and you are using a compliant window manager, <b>lsb-pidgin</b> should show up in the Network and/or InstantMessaging categories, if present.<br />- Was the installation successful?

STEP Run the command: <tt>/opt/lsb/appbat/bin/pidgin</tt>.<br />- Expected result: The pidgin application is launched with the <tt>"Accounts"</tt> window, and possibly the <tt>"Buddies"</tt> window (if pidgin has been run before).

STEP Select the <tt>"Preferences"</tt> item in the system tray icon menu.<br />- Expected result: The <tt>"Preferences"</tt> window appears.

STEP Close the <tt>"Preferences"</tt> window. Select the <tt>"Show Buddy List"</tt> item in the system tray icon menu, then select <tt>"Buddies/Sort Buddies/Manually"</tt> in the <tt>"Buddy List"</tt> menu. Select the <tt>"Buddies/Sort Buddies"</tt> item again.<br />- Expected result: The value <tt>"Manually"</tt> remains selected in <tt>"Sort Buddies"</tt> option of the  <tt>"Buddy List/Buddies"</tt> menu.

STEP Click the <tt>"Add"</tt> button on the bottom of the <tt>"Accounts"</tt> window.<br />- Expected result: The <tt>"Add Account"</tt> window appears.

STEP Select <tt>"IRC"</tt> in the <tt>"Protocol"</tt> option and enter a <tt>"Screen Name"</tt> of <tt>"lsb-test"</tt>. If <tt>"Server"</tt> is blank, enter <tt>"irc.freenode.net"</tt>, then click the <tt>"Save"</tt> button.<br />- Expected result: The window <tt>"Add Account"</tt> is closed and the new account appears in the <tt>"Accounts"</tt> window, and the connection to freenode should begin, with the <tt>"freenode-connect"</tt> window appearing once the connection is complete.

STEP In the bottom pane of the <tt>"freenode-connect"</tt> window, type <tt>"/join #test"</tt> and the <tt>"Enter"</tt> key.<br />- Expected result: A new tab is created and labeled <tt>"#test"</tt> and there should be people in the room.

STEP In the bottom box of the #test tab, type <tt>"/msg lsb-test testing"</tt><br />- Expected result: A new tab is created to the right of the previous tabs and labeled <tt>"#lsb-test"</tt> and the message <tt>"testing"</tt> should appear.

STEP In the bottom box type a message and press the <tt>"Enter"</tt> key.<br />- Expected result: The conversation dialog appears with the message in the tab.

STEP Close the conversation dialog by clicking on <tt>"Conversation"</tt> in the menu bar and then <tt>"Close"</tt>.<br />- Expected result: One tab closes.

[MODULES]
TESTSUITE man-pidgin LSB|Moblin
 module Manual_test.pm

[COMPOSITION]
# TESTSUITE  test version LSB ver [arch] status
#	package-name package-ver [location] (comma-separated and/or on a new line)

TESTSUITE man-pidgin	*	LSB 3.2	cert
	lsb-setup	*	<base>
	lsb-pidgin	*	<appbat-3.2>

TESTSUITE man-pidgin	*	LSB 4.0	cert
	lsb-setup	*	<base>
	lsb-pidgin	*	<appbat-4.0>

TESTSUITE man-pidgin	*	LSB 4.0	snapshot
	lsb-setup	*	<snapshots>/lsb-setup
	lsb-pidgin	*	<appbat-snapshots>
